> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/digital-signature/digital-signature-validation.md).

# Validate Digital Signatures in Android

Learn how to validate signatures in signed documents using the DigitalSignatureListDialog. Add trusted certificates and verify digital signatures easily. The Apryse Android SDK streamlines secure docu

You can validate signatures in signed documents by verifying signers using the `DigitalSignatureListDialog`.

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-c5131450d884f5dd9972c73495838c4730f5596f%2Fede1ed768e2d07587b011abfba763b08d9dc03f4-540x960.png?alt=media)

## Adding a trusted certificate

Before you can verify signatures in \`DigitalSignatureListDialog\`, you will need to add your self-signed certificate to the store of trusted certificates using the \`DigitalSignatureUtils.addCertificate(Context, File)\` method. Certificates added this way will be stored internally and referenced by \`DigitalSignatureListDialog\` when validating your signatures.

## Validating digital signatures

To verify your digital signatures, you can show the `DigitalSignatureListDialog` using the code below:

{% tabs %}
{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
private static void showDigitalSignatureList(ToolManager toolManager, PDFViewCtrl pdfViewCtrl, FragmentManager fragmentManager) {
    DigitalSignatureListDialog dialog = DigitalSignatureListDialog.newInstance();
    dialog.setStyle(DialogFragment.STYLE_NO_TITLE, toolManager.getTheme());
    dialog.setPDFViewCtrl(pdfViewCtrl);
    dialog.show(fragmentManager, "digital_sig_list_dialog");
}
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
private static void showDigitalSignatureList(ToolManager toolManager, PDFViewCtrl pdfViewCtrl, FragmentManager fragmentManager) {
    DigitalSignatureListDialog dialog = DigitalSignatureListDialog.newInstance();
    dialog.setStyle(DialogFragment.STYLE_NO_TITLE, toolManager.getTheme());
    dialog.setPDFViewCtrl(pdfViewCtrl);
    dialog.show(fragmentManager, "digital_sig_list_dialog");
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

In this list, you will be able to view digital signature information such as the signer's name, time of signing, signature validity, etc. Additionally you can tap on Signature Properties to view additional signature details.

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-d15d26015c1cd21e63495da45e38af36327dea5b%2Ff97e59316fd35a3300fc5249e14af5e86311397c-540x960.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/digital-signature/digital-signature-validation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
